###########################################################################
#
#   Copyright (c) 2000 Morten W. Petersen <morten@esol.no>
#	Copyright (c) 2000 Thingamy Ltd.
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
#    MA 02111-1307 USA
#
#
###########################################################################

# $Author: morten $
# $Revision: 1.0 $


__doc__ = 'Documentation string.'
__version__ = '0.1.0'

from Globals import HTMLFile
from Globals import Persistent
from Globals import default__class_init__
import Acquisition
import AccessControl.Role
import OFS.Folder
import news
import base_item

#categoryAdd2 = HTMLFile('categoryAdd2', globals())
#manage_addCategoryForm = HTMLFile('categoryAdd', globals())


def manage_add_news_letter(self, id, title, prelude, postlude, body, REQUEST=None):
    "Add an instance of the Category class"

    self._setObject(id, news_letter(id, title, prelude, postlude, body))

    if REQUEST is not None:

        return self.manage_main(self, REQUEST)


class news_letter(
	OFS.Folder.Folder,
	Persistent,
	Acquisition.Implicit,
	AccessControl.Role.RoleManager,
	base_item.base_item
	):
	"Documentation string"

	meta_type = 'Newsletter'
	icon = 'misc_/NewsFolder/dtmldoc.gif'

	_properties = (
		{'id':'title', 'type':'string'},
		{'id':'prelude', 'type':'text'},
		{'id':'postlude', 'type':'text'},
		{'id':'body', 'type':'text'},
		)

	__ac_permissions__ = (
		('View management screens',
		 ('manage_tabs', 'manage_main')),
		('Change Permissions',
		 ('manage_access',)),
		('View newsletters',
		 ('',)),
		)

	index_html = HTMLFile('news_letter_index', globals())
	#base_edit = HTMLFile('category_edit', globals())

	def __init__(self, id, title='', prelude='', postlude='', body=''):
		"Initialize the class instance"

		self.id = id
		self.title = title
		self.prelude = prelude
		self.postlude = postlude
		self.body = body


default__class_init__(news_letter)

